<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Good News Lite
 */
get_header(); ?>
 <section id="blog-post-<?php the_ID(); ?>" <?php post_class(); ?>> 
	<div class="contain blog">
		<?php get_template_part( 'template-parts/content', get_post_format() );?>	
	</div>
</section>
<?php get_footer();